/* Newb Shader
   MAIN SETTINGS
   terrain,entities,banner,clouds
*/


/*""""""""""""""""""""""""""""""""""""""*/
/* TIME */

//// Toggle - Use real world time for wave effects
//// Disable this if you have static wave bug
#define USE_REAL_WORLD_TIME

/*""""""""""""""""""""""""""""""""""""""*/


/*""""""""""""""""""""""""""""""""""""""*/
/* LIGHTING */

//// Value - Sunlight brightness
#define sun_intensity 2.45

//// Value - Brightness in cave (0-0.2)
#define min_ambient 0.03

/*""""""""""""""""""""""""""""""""""""""*/


/*""""""""""""""""""""""""""""""""""""""*/
/* VOLUME */

//// Value - Density of mist (0-1)
#define mist_density 0.18

/*""""""""""""""""""""""""""""""""""""""*/


/*""""""""""""""""""""""""""""""""""""""*/
/* SMOOTH CLOUDS */

////️ Value - Cloud size (not implemented)
//#define cloud_density 0.7;

//// Value - Cloud map size (0-100)
#define cloud_noise_size 36.0

//// Value - Cloud movement speed
#define cloud_speed 0.05

//// Value - Cloud transparency (0-1)
#define cloud_alpha 1.0

/*""""""""""""""""""""""""""""""""""""""*/

